## kdebase-1.90.tar.bz2

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.224.1.1 95/06/19 17:51:01 gildea Exp $
# $XFree86: xc/config/cf/Imake.tmpl,v 3.18 1995/07/12 15:27:23 dawes Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf /main/22 1995/12/05 16:39:53 mor $
# $XFree86: xc/config/cf/Imake.cf,v 3.20 1996/05/06 05:52:04 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.8 1995/05/27 01:56:50 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.73 1996/03/31 11:42:39 dawes Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $XConsortium: linux.cf /main/18 1996/02/02 18:59:31 gildea $
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.39 1996/05/06 05:52:05 dawes Exp $

# $XConsortium: lnxLib.rules /main/12 1996/01/03 14:51:18 kaleb $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.22 1996/03/03 03:55:26 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.90 1996/03/31 11:42:41 dawes Exp $

# $XConsortium: xfree86.cf /main/17 1996/01/03 14:50:55 kaleb $

LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers

           XF98SRC = $(SERVERSRC)/hw/xfree98
      XF98ACCELSRC = $(XF98SRC)/accel
        XF98COMSRC = $(XF98SRC)/common
     XF98CONFIGSRC = $(XF98COMSRC)
         XF98HWSRC = $(XF98SRC)/common_hw/generic
      XF98HWNECSRC = $(XF98SRC)/common_hw/nec
    XF98HWPWSKBSRC = $(XF98SRC)/common_hw/pwskb
     XF98HWPWLBSRC = $(XF98SRC)/common_hw/pwlb
         XF98OSSRC = $(XF98SRC)/os-support
  XF98VGADRIVERSRC = $(XF98SRC)/vga256/drivers
XF98VGA16DRIVERSRC = $(XF98SRC)/vga16/drivers
 XF98VGA2DRIVERSRC = $(XF98SRC)/vga2/drivers
 XF98MONODRIVERSRC = $(XF98SRC)/mono/drivers
  XF98NECDRIVERSRC = $(XF98SRC)/accel/s3nec/drivers
XF98PWSKBDRIVERSRC = $(XF98SRC)/accel/s3pwskb/drivers
 XF98PWLBDRIVERSRC = $(XF98SRC)/accel/s3pwlb/drivers

        XFREE86DOCDIR = $(LIBDIR)/doc
      XFREE86PSDOCDIR = $(XFREE86DOCDIR)/PostScript
    XFREE86HTMLDOCDIR = $(XFREE86DOCDIR)/html
XFREE86JAPANESEDOCDIR = $(XFREE86DOCDIR)/Japanese

# $XConsortium: xf86.rules,v 1.7 95/01/25 16:34:39 kaleb Exp $
# $XFree86: xc/config/cf/xf86.rules,v 3.14 1996/05/06 05:52:06 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.8 1995/05/27 01:56:50 dawes Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.197.1.1 95/06/19 18:01:48 gildea Exp $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.18 1995/07/22 09:39:32 dawes Exp $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = /bin/sh

              TOP = ..
      CURRENT_DIR = config

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cxx

              CXX = c++
    CXXDEBUGFLAGS = -O2 -fno-strength-reduce -m486
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
  CXXIDL_INCLUDES = -I$(TOP)/include
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
 EXTRA_LOAD_FLAGS = -Wl,-rpath,$(SHLIBDIR)
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -s -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -s -m 4711

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2 -fno-strength-reduce -m486
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl /main/r61_main/6 1996/01/15 12:26:59 gildea $
# $XFree86: xc/config/cf/Project.tmpl,v 3.27 1996/04/15 11:13:52 dawes Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: lnxLib.tmpl,v 1.5 95/01/11 21:44:44 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.tmpl,v 3.7 1995/04/09 13:39:23 dawes Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.1
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 6.1
DEPXEXTLIB =
XEXTLIB =  -lXext

LINTXEXT = $(LINTLIBDIR)/llib-lXext.ln

    XSSLIBSRC = $(LIBSRC)/Xss

DEPXSSLIB = $(USRLIBDIR)/libXss.a
XSSLIB =  -lXss

LINTXSS = $(LINTLIBDIR)/llib-lXss.ln

    XXF86MISCLIBSRC = $(LIBSRC)/Xxf86misc

DEPXXF86MISCLIB = $(USRLIBDIR)/libXxf86misc.a
XXF86MISCLIB =  -lXxf86misc

LINTXXF86MISC = $(LINTLIBDIR)/llib-lXxf86misc.ln

    XXF86VMLIBSRC = $(LIBSRC)/Xxf86vm

DEPXXF86VMLIB = $(USRLIBDIR)/libXxf86vm.a
XXF86VMLIB =  -lXxf86vm

LINTXXF86VM = $(LINTLIBDIR)/llib-lXxf86vm.ln

    XXF86DGALIBSRC = $(LIBSRC)/Xxf86dga

DEPXXF86DGALIB = $(USRLIBDIR)/libXxf86dga.a
XXF86DGALIB =  -lXxf86dga

LINTXXF86DGA = $(LINTLIBDIR)/llib-lXxf86dga.ln

     EXTENSIONLIB = $(XEXTLIB)
  DEPEXTENSIONLIB = $(DEPXEXTLIB)
    LINTEXTENSION = $(LINTXEXT)

 LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

=== debian/changelog ===
kdebase-cvs (4:2.0-20000314-1.0) experimental; urgency=low
 
  * New upstream CVS fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 14 Mar 2000 22:30:00 -0700

kdebase-cvs (4:2.0-20000306-1.1) experimental; urgency=low
 
  * New upstream CVS fixes
  * More shlibs fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 06 Mar 2000 22:30:00 -0700

kdebase-cvs (4:2.0-20000302-1.0) experimental; urgency=low
 
  * New upstream CVS fixes
  * Migrating chooser over to kdm-cvs package
  * Updating kdm config files to match current versions of xdm
  * Fixing kdm init.d scripts to handle now missing parser script
  * Fixing kicker applet issues (required -dev to be installed to work)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 02 Mar 2000 22:00:00 -0700

kdebase-cvs (4:2.0-20000229-1.0) experimental; urgency=low

  * New upstream CVS fixes 
  * Adding in build-depends

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 29 Feb 2000 22:00:00 -0700

kdebase-cvs (4:2.0-20000223-1.0) experimental; urgency=low

  * New upstream CVS fixes
  * Fixing pathing for kde help files
  * Adding in md5 options to pam.d file for kdm

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 23 Feb 2000 22:00:36 -0700

kdebase-cvs (4:2.0-19991130-1.0) experimental; urgency=low

  * New upstream CVS fixes
  * Removing old update-window-managers piece in leu of new udpate-alternatives
  * Adding missing dependencies - grep, sed

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 30 Nov 1999 00:30:36 -0400

kdebase-cvs (4:2.0-19991128-1.0) experimental; urgency=low

  * New upstream CVS fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 28 Nov 1999 03:30:36 -0400

kdebase-cvs (4:2.0-19991020-1.0) experimental; urgency=low

  * New upstream CVS fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 20 Oct 1999 08:30:36 -0400

kdebase-cvs (4:2.0-19991001-0.1) experimental; urgency=low

  * new upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 01 Oct 1999 14:30:36 -0400

kdebase-cvs (4:2.0-19990912-1.0) experimental; urgency=low

  * new upstream version
  * Cleaning up debian subtree: removing old window-managers file
  * Finishing migration to /usr/share/doc

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 12 Sep 1999 15:00:36 -0400

kdebase-cvs (4:2.0-19990903-1.0) experimental; urgency=low

  * new upstream version

 -- Stephan Kulow <coolo@kde.org>  Fri,  3 Sep 1999 21:51:36 +0200

kdebase-cvs (4:2.0-19990825-1.0) experimental; urgency=low

  * New upstream CVS changes
  * Fixes problem with /usr/bin/kde2 (missing a / )

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 25 Aug 1999 13:00:56 -0400

kdebase-cvs (4:2.0-19990825-1) experimental; urgency=low

  * New upstream CVS changes

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 25 Aug 1999 07:00:56 -0400

kdebase-cvs (4:2.0-19990823-1) experimental; urgency=low
 
  * New upstream CVS changes
  * Fixes bug with init.d script for kdm2

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Aug 1999 07:00:56 -0400
                                                        

kdebase-cvs (4:2.0-19990820-1.1) experimental; urgency=low

  * several small package fixes mainly with pathing

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 21 Aug 1999 00:30:56 -0400

kdebase-cvs (4:2.0-19990820-1) experimental; urgency=low

  * new CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 20 Aug 1999 13:30:56 -0400

kdebase-cvs (4:2.0-19990626-2) experimental; urgency=low

  * new version

 -- Stephan Kulow <coolo@kde.org>  Sat, 26 Jun 1999 22:37:56 +0200

kdebase-cvs (4:2.0-19990626-1) experimental; urgency=low

  * New upstream CVS version
  * Brought in sync with -stable tree
  * Adding in -include statements into the ./configure piece

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 26 Jun 1999 06:00:29 -0400

kdebase-cvs (4:2.0-19990620-1) experimental; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 20 Jun 1999 11:00:29 -0400

kdebase-cvs (4:2.0-19990601-1) experimental; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 01 Jun 1999 01:00:29 -0400

kdebase-cvs (4:2.0-19990531-1) experimental; urgency=low 

  * Making kdm not require xdm
  * Fixing some pam stuff which includes a /etc/pam.d/kde file, making
    the pam name=kde so that it uses the /etc/pam.d/kde file instead of
    xdm, kdm, or whatever.
  * Fixing the linux fonts for konsole.
  * Fixing the /var/state/kdm issue

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 31 May 1999 19:30:29 -0400

kdebase-cvs (4:2.0-19990524-1) experimental; urgency=low

  * migrating back to / from /opt
  * working in new build changes to bring package more in line with
    current Debian dist

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 24 May 1999 07:00:29 -0400

kdebase-cvs (4:2.0-19990314-3) experimental; urgency=low

  * fixing some lintian problems

 -- Stephan Kulow <coolo@kde.org>  Mon, 15 Mar 1999 17:17:29 +0100

kdebase-cvs (4:2.0-19990314-2) experimental; urgency=low

  * taking out the undocumented call

 -- Stephan Kulow <coolo@kde.org>  Mon, 15 Mar 1999 16:42:47 +0100

kdebase-cvs (4:2.0-19990314-1) experimental; urgency=low

  * moving the -cvs from version to package name

 -- Stephan Kulow <coolo@kde.org>  Sun, 14 Mar 1999 21:01:10 +0100

kdebase-cvs (4:2.0-19990314-cvs-1) experimental; urgency=low

  * using newest kdelibs

 -- Stephan Kulow <coolo@kde.org>  Sun, 14 Mar 1999 00:16:36 +0100

kdebase (4:2.0-19990309-1) experimental; urgency=low

  * new upstream version with Qt 2.0

 -- Stephan Kulow <coolo@kde.org>  Tue,  9 Mar 1999 23:56:08 +0100

kdebase (4:1.1-19990306-1) unstable; urgency=low

  * new upstream version out of CVS (many translation updates and some
    security fixes

 -- Stephan Kulow <coolo@kde.org>  Sat,  6 Mar 1999 18:03:04 +0100

kdebase (4:1.1-19990217-1) unstable; urgency=low

  * new upstream version

 -- Stephan Kulow <coolo@kde.org>  Wed, 17 Feb 1999 19:09:41 +0100



=== debian/control ===
Source: kdebase-cvs
Build-Depends: autoconf, debhelper, sed, libpam0g-dev, kdelibs3-dev-cvs, xlib6g-dev, libpng2-dev, xpm4g-dev, libqt2.1-dev
Section: x11
Priority: optional
Maintainer: Stephan Kulow <coolo@kde.org>
Standards-Version: 3.1.1

Package: kdebase-cvs
Architecture: any
Section: x11
Priority: optional
Replaces: kdebase
Depends: menu (>=1.5-5), ${shlibs:Depends}, grep, sed, debianutils (>= 1.6), xbase-clients, xfree86-common
Suggests: kdewallpapers, kdm, kdeadmin, kdegraphics, kdemultimedia, kdenetwork, kdeutils, korganizer, kdebase-doc, kde-i18n
Conflicts: kdebase
Provides: kdebase
Description: KDE core applications
 This is a suite of all kde core applications :
 file manager kfm, window manager kwm, desktop manager kdm
 and others.

Package: kdewallpapers-cvs
Architecture: all
Section: x11
Replaces: kdewallpapers
Suggests: kdebase
Conflicts: kdewallpapers
Provides: kdewallpapers
Description: Some wallpapers for KDE 
 The wallpapers that come with KDE, but can be used everywhere else
 as well

Package: kdm-cvs
Architecture: any
Section: x11
Replaces: kdm
Depends: ${shlibs:Depends}, grep, sed, libpam-modules
Suggests: kdebase, kdewallpapers
Conflicts: kdm
Provides: kdm
Description: The K Desktop Manager
 The K Desktop Manager

Package: kdebase-doc-cvs
Architecture: all
Section: doc
Replaces: kdebase-doc
Suggests: kdebase, kdm
Conflicts: kdebase-doc
Provides: kdebase-doc
Description: Documentation for Applications in kdebase
 All the documentation for all the Applications in kdebase

Package: kdebase-dev-cvs
Architecture: any
Section: devel
Replaces: kdebase-dev
Depends: kdebase-cvs (= ${Source-Version}), libqt2.1-dev, kdelibs3-dev-cvs
Conflicts: kdebase-dev
Provides: kdebase-dev
Description: KDE core applications (development files)
 KDE core application development files
 You need these files to compile kde applications.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

BUILDDIR = ./build

build: $(BUILDDIR)/build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

initd_kdm=kdm2
kdm_package=kdm-cvs

$(BUILDDIR)/build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi 
	test -d $(BUILDDIR) || mkdir $(BUILDDIR) ;\
	cd $(BUILDDIR) ;\
	CFLAGS="-O2 -DNDEBUG -DUTMP_SUPPORT -DUTMP='\"/var/run/utmp\"'" \
	  RUN_KAPPFINDER="no" \
	$$PWD/../configure $(configkde) --without-shadow --with-pam=kde \
	--with-xdmdir=/usr/X11R6/lib/X11/$(kdm_package) \
	--libdir=/$(kde_libdir) --includedir=/$(kde_includedir)

	make -C $(BUILDDIR)

	touch $(BUILDDIR)/build-stamp

clean: debian-clean
	dh_testdir
	-rm -f $(BUILDDIR)/build-stamp

debian-clean:
	dh_testdir
	if test -d CVS; then \
	  make -f admin/Makefile.common cvs-clean ;\
	else \
	  -rm -f debian/debiandirs ;\
	  -rm -rf $(BUILDDIR) ;\
	  dh_clean ;\
	fi

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	dh_testdir
	dh_testroot
	dh_clean 
	dh_installdirs
	make -C $(BUILDDIR) RUN_KAPPFINDER="no" DESTDIR=`pwd`/debian/tmp/ install 
	perl -w admin/debianrules kdebase-cvs 
	install -d debian/tmp/etc/init.d
	install -d debian/tmp/usr/bin
	dh_movefiles -pkdewallpapers-cvs $(kde_wallpaperdir)
	sed -e "s#@kde_bindir@#/$(kde_bindir)#; s#@initd_kdm@#$(initd_kdm)#; s#@kdm_package@#$(kdm_package)#" debian/kdm.init.d > debian/tmp/etc/init.d/$(initd_kdm)
#	echo -e "#! /bin/sh\n\nexport PATH=/$(kde_bindir):\$PATH\nxterm &\n/$(kde_bindir)/startkde\n" > debian/tmp/$(kde_bindir)/kde2 
	echo -e "#!/bin/sh\n\nxterm &\n/$(kde_bindir)/startkde\n" > debian/tmp/$(kde_bindir)/kde2
	rm -rf debian/tmp/$(kde_appsdir)/debian_menu 
	install -d debian/tmp/$(kde_appsdir)/debian_menu 
	cp debian/debian.desktop \
	      debian/tmp/$(kde_appsdir)/debian_menu/.directory
	cp debian/debian.desktop \
	      debian/tmp/$(kde_confdir)/

	install -d debian/tmp/etc/X11/$(kdm_package)
	install -d debian/tmp/usr/share/doc/$(kdm_package)
	install -d debian/tmp/usr/X11R6/lib/X11/$(kdm_package)
	install -d debian/tmp/usr/X11R6/lib/X11/$(kdm_package)/authdir
	install -d debian/tmp/usr/share/man/man5
	install -d debian/tmp/usr/share/man/man1
	install -d debian/tmp/var/lib/$(kdm_package)
	install -d debian/tmp/etc/pam.d
	cp debian/kdm.1.gz debian/tmp/usr/share/man/man1
	for file in debian/xdm/*; do \
	if test -f $$file; then cp $$file debian/tmp/etc/X11/$(kdm_package) ;\
	  fi; done
	for file in debian/tmp/etc/X11/$(kdm_package)/*; do \
	  sed -e "s#@kde_bindir@#$(kde_bindir)#; s#@kde_confdir@#$(kde_confdir)#; s#@initd_kdm@#$(initd_kdm)#; s#@kdm_package@#$(kdm_package)#" $$file > $$file.tmp ;\
	  if test -f $$file.tmp; then mv $$file.tmp $$file ;\
	  fi; done
	-rm -f debian/tmp/usr/X11R6/lib/X11/$(kdm_package)/*
	ln -s /etc/X11/$(kdm_package)/xdm-config debian/tmp/usr/X11R6/lib/X11/$(kdm_package)/
	cp debian/README.xdm debian/tmp/usr/share/doc/$(kdm_package)/README.Debian
	cp debian/kdm.options.5.gz debian/tmp/usr/share/man/man5
	cp debian/kdmrc debian/tmp/$(kde_confdir)
	chmod +x debian/tmp/etc/X11/$(kdm_package)/Xsetup* \
		debian/tmp/etc/X11/kdm-cvs/*Console 
	cp debian/kde.pamd debian/tmp/etc/pam.d/kde
	chmod 755 debian/tmp/etc/init.d/$(initd_kdm)
	chmod 755 debian/tmp/$(kde_bindir)/kde2
	dh_undocumented
	list=`cd debian/tmp && find . -name '*kdm*' -print | sed -e 's#^./##' | egrep -v '^etc/X11|^etc/init.d'` ;\
	dh_movefiles -p$(kdm_package) $$list etc/init.d etc/X11 etc/pam.d/kde $(kde_bindir)/chooser usr/share/man/man1/chooser*
	dh_movefiles -pkdebase-dev-cvs $(kde_includedir) $(kde_libdir)/lib*.so $(kde_libdir)/lib*.a
	-mv `find debian/kdebase-dev-cvs/$(kde_libdir) -type f -name "*.so"` debian/tmp/$(kde_libdir)/
	install -d debian/tmp/usr/X11R6/lib/X11/fonts/misc
	cp konsole/fonts/console*.pcf.gz debian/tmp/usr/X11R6/lib/X11/fonts/misc
	install -d debian/$(kdm_package)/var/lib/$(kdm_package)
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms

	chown root.shadow debian/tmp/$(kde_bindir)/kcheckpass
	chmod 2755 debian/tmp/$(kde_bindir)/kcheckpass 
	chmod 4755 debian/tmp/$(kde_bindir)/konsole_grantpty 
	chown root.root debian/$(kdm_package)/var/lib/$(kdm_package)

	dh_suidregister
	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol

	for i in `find debian/tmp/DEBIAN/ -type f -print`; do \
	sed -e "s#@kde_bindir@#$(kde_bindir)#; s#@kde_confdir@#$(kde_confdir)#; s#@initd_kdm@#$(initd_kdm)#; s#@kdm_package@#$(kdm_package)#; s#@kde_appsdir@#$(kde_appsdir)#; s#@kde_wallpaperdir@#$(kde_wallpaperdir)#" $$i > $$i.tmp ;\
	if test -f $$i.tmp; then mv $$i.tmp $$i;\
	fi; done
	for i in `find debian/$(kdm_package)/DEBIAN/ -type f -print`; do \
	sed -e "s#@kde_bindir@#$(kde_bindir)#; s#@kde_confdir@#$(kde_confdir)#; s#@initd_kdm@#$(initd_kdm)#; s#@kdm_package@#$(kdm_package)#; s#@kde_appsdir@#$(kde_appsdir)#; s#@kde_wallpaperdir@#$(kde_wallpaperdir)#" $$i > $$i.tmp ;\
	if test -f $$i.tmp; then mv $$i.tmp $$i;\
	fi; done

	cd debian/tmp && find ./$(kde_confdir) -type f -print | sed -e 's#^./#/#' > DEBIAN/conffiles
	chmod 644 debian/tmp/DEBIAN/conffiles debian/tmp/DEBIAN/sh*
	cd debian/$(kdm_package) ;\
	  find ./$(kde_confdir) -type f -print | sed -e 's#^./#/#' > DEBIAN/conffiles ;\
	  find ./etc/X11/$(kdm_package) -type f -print | sed -e 's#^./#/#' >> DEBIAN/conffiles ;\
	  echo -e "/etc/pam.d/kde\n/etc/init.d/$(initd_kdm)" >> DEBIAN/conffiles
	chmod 644 debian/$(kdm_package)/DEBIAN/conffiles
	sed -e "s#usr/share/apps#/usr/share/apps#" debian/tmp/usr/bin/kappfinder > debian/kappfinder.tmp
	cp debian/kappfinder.tmp debian/tmp/usr/bin/kappfinder
	dh_md5sums
	perl -w admin/debianrules update
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
